* {
	margin: 0; 
	padding: 0;
	}

body, html {
	height: 100%;
	width: 100%;
    }

body {
	font-family: "Red Hat Display", sans-serif;
	}
	
.top-bar {
	padding: 15px 32px;
	font-size: 15px;
	position: relative;
	display: flex;
	justify-content: space-between;;
	align-items: center;
	}

.subs {
	display: flex;
	justify-content: space-around;;
	align-items: center;
}

.button {
	background-color: #555555;
	border: none;
	color: white;
	padding: 5px 10px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 10px;
	margin: 2px 6px;
	cursor: pointer;
	}

.button:hover {
	text-decoration: underline;
}

.main-nav {
	color: #000000;
	}

.logo img {
	width: 50px;
	}

/* Estilo del menu de navegacion */
.topnav {
	overflow: hidden;
	background-color: #000000;
	position: relative;
	display: flex;
	justify-content: space-around;
	align-items: center;
	}

.topnav input[type=text] {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
	}
.topnav input[type=text] {
    border: 1px solid #ccc;
	}

.fa-navicon:before, .fa-reorder:before, .fa-bars:before{
    color: #ffffff;
	font-size: 30px;
}

  /* Ocultar los links de navegacion (excepto logo/home) */
#menuppal {
	display: none;
	}

#menuppal ul {
	list-style-type: none;
	margin: 0;
	padding: 5px;
	}

  /* Estilo de los links de navegacion */
#menuppal a {
	color: white;
	padding: 14px 16px;
	text-decoration: none;
	font-size: 17px;
	display: block;
	}


  /* Un color gris en el hover */
#menuppal a:hover {
	background-color: #ffffff;
	color: black;
	border: 1px white;
	}

.image-row img {
	width: 100%;
	height: 100%;
	display: flex;
	object-fit: cover;
    display: block;
	}

/* Slider */
.slideshow-container {
	width: 100%;
	position: relative;
	margin: auto;
}

/* Ocultar la imagen por defecto */
.mySlides {
	display: none;
}

/* botones de siguiente y previo */
.prev,
.next {
	cursor: pointer;
	position: absolute;
	top: 50%;
	width: auto;
	margin-top: -22px;
	padding: 16px;
	color: white;
	font-weight: bold;
	font-size: 18px;
	transition: 0.6s ease;
	border-radius: 0 3px 3px 0;
	user-select: none;
}

/* posicion del boton "siguiente" a la derecha */
.next {
	right: 0;
	border-radius: 3px 0 0 3px;
}

/* En hover, agregar un color oscuro de fondo con un poco de opacidad */
.prev:hover,
.next:hover {
	background-color: rgba(0, 0, 0, 0.8);
}

/* Texto del título */
.text {
	color: #f2f2f2;
	font-size: 150px;
	padding: 8px 12px;
	position: absolute;
	
	width: 100%;
	text-align: center;
}


/* Los puntos indicadores*/
.dot {
	cursor: pointer;
	height: 15px;
	width: 15px;
	margin: 0 2px;
	background-color: #bbb;
	border-radius: 50%;
	display: inline-block;
	transition: background-color 0.6s ease;
}

.active,
.dot:hover {
	background-color: #717171;
}

/* Animacion de transicion */
.fade {
	animation-name: fade;
	animation-duration: 1.5s;
}

@keyframes fade {
	from {
		opacity: .4
	}

	to {
		opacity: 1
	}
}

/* The flip card container - set the width and height to whatever you want. We have added the border property to demonstrate that the flip itself goes out of the box on hover (remove perspective if you don't want the 3D effect */
.flip-card {
	background-color: transparent;
	width: 300px;
	height: 300px;
	border: 1px solid #f1f1f1;
	margin: 5px;
	perspective: 1000px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	/* Remove this if you don't want the 3D effect */
	}

/* This container is needed to position the front and back side */
.flip-card-inner {
	position: relative;
	width: 100%;
	height: 100%;
	text-align: center;
	transition: transform 0.6s;
	transform-style: preserve-3d;
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
	}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
	transform: rotateY(180deg);
	}

/* Position the front and back side */
.flip-card-front, .flip-card-back {
	position: absolute;
	width: 100%;
	height: 100%;
	-webkit-backface-visibility: hidden; /* Safari */
	backface-visibility: hidden;
	}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
	background-color: #bbb;
	color: black;
	}

/* Style the back side */
.flip-card-back {
	background-color: black;
	color: white;
	transform: rotateY(180deg);
	}

/*header en las paginas internas*/
.header {
	
	padding: 0px;
	margin: 0px;
	text-align: center;
	background: #000000;
	color: white;
	}
	
.header img {
	width: 100vw;
	}

h1 {
	padding: 16px;
}

.texto p {
	padding: 16px;
}


.principaltexto h1 {
	text-align: center;
}


footer {
	text-align: center;
	padding: 1rem;
	background-color: #000000;
	color: white;
	}


@media (min-width: 768px) {

.fa-navicon:before, .fa-reorder:before, .fa-bars:before{
    color: #ffffff;
	font-size: 60px;
}

.logo img {
	width: 300px;
	}


@media (min-width: 1024px) {
	
.fa-navicon:before, .fa-reorder:before, .fa-bars:before{
    display: none;
	}

#menuppal {
	display: block;
	overflow: hidden;
	}

#menuppal ul {
	display: inline-block;
	position: relative;
	display: flex;
	justify-content: space-around;
	align-items: center;
	}

#menuppal a {
	color: rgb(255, 255, 255);
	padding: 14px 36px;
	text-decoration: none;
	font-size: 20px;
	}

#menuppal a:hover {
	background-color: #bcbcbc;
	color: black;
	}

#menuppal a.active {
	background-color: #ffffff;
	color: black;
	}

}